// JavaScript Document

//Déclaration de variables
var nb = 6;//nb d'images
var actuel = 0;//image courante
var imgsrep = 'images/'; //rép. images
var imgs = new Array();//tableau des images pour préchargement
var t; //objet timer

//Création du tableau des sources : le nommage permet des structures algorithmiques élégantes
//Les images sont nommées image0.jpg, image1.jpg, .. 
for (i=0;i<nb;i++){
	imgs.push(imgsrep + 'image' + i + '.jpg');
}

$(document).ready(function(){//lorsque la page est chargée
    //préchargement des images
	charge_images();
	
	//Insertion d'un élément img dans la div d'id conteneur_img
	$('<img id=\'voir\' alt=\'une image\' />').attr('src', imgsrep + 'image0.jpg').appendTo($('#conteneur_img'));
	
	//Démarrage du timer
	t = setInterval(change_image, 1000);
	
	//Affectation du comportement click
	$('#voir').click(function(){
		clearInterval(t);	
	});
	
});

//fonction changement d'image
function change_image(){
		actuel++; //on incrémente actuel
		if(actuel===nb){actuel=0;} //Test de dépassement
		$('#voir').attr('src', imgs[actuel]);//nouvelle source	
}

//fonction de préchargement des images
function charge_images(){
	//on créé un img jQuery	virtuel dont on affecte la source -> provoque le chargement dans le cache
	$(imgs).each(function(){//pour chaque élément du tableau d'images -> pour chaque image
		$("<img/>").src = imgsrep + this;	//on affecte à la source d'un img virtuel la valeur de l'élément(this)
	});
}